Skip to main content
PATCH
/
v1
/
accounts
/
{account_id}
/
sip-trunks
/
{sip_trunk_id}
Update SIP trunk
curl --request PATCH \
  --url https://api.itellico.ai/v1/accounts/{account_id}/sip-trunks/{sip_trunk_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "termination_uri": "<string>",
  "allowed_ips": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "phone_numbers": [
    {
      "id": "<string>",
      "number": "<string>",
      "friendly_name": "<string>"
    }
  ],
  "has_auth_password": false,
  "auth_password_length": 123,
  "allowed_ips": [
    "<string>"
  ],
  "termination_uri": "<string>",
  "sip_auth_username": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string<uuid4>
required
sip_trunk_id
string<uuid4>
required

Body

application/json
name
string | null
termination_uri
string | null
allowed_ips
string[] | null

IPv4/IPv6 or CIDR ranges

Response

OK

id
string<uuid4>
required
name
string
required

Display name for this SIP trunk

Maximum string length: 100
phone_numbers
PhoneNumberBasicV1Out · object[]
has_auth_password
boolean
default:false
auth_password_length
integer | null
allowed_ips
string[]
termination_uri
string | null
sip_auth_username
string | null
Maximum string length: 100